WebKitWebDriver(1)

NAME
WebKitWebDriver - WebDriver service implementation for WebKitGTK.

SYNOPSIS
WebKitWebDriver [options]

DESCRIPTION
This manual page documents briefly the WebKitWebDriver command.

WebDriver is an automation API to control a web browser. It allows the user to create automated tests for web applications independently of the browser and platform. The WebKitWebDriver binary provides the WebDriver service implementation for WebKitGTK. It works as a server, processing client requests to spawn and control the web browser. This driver is not tied to any specific browser and can be used with any WebKitGTK-based browser, but it uses MiniBrowser as the default.

OPTIONS

-h, --help
    Show summary of command-line options.

-p <port>, --port=<port>
    Set the port number that the driver will use.

AUTHOR
This manual page was written by Alberto Garcia <berto@igalia.com>, based on the contents of https://blogs.igalia.com/carlosgc/2017/09/09/webdriver-support-in-webkitgtk-2-18/.